<!DOCTYPE html>


<h3> by running the code : </h3>
<!-- .......................................................................... -->
<pre><code>
&lt--
// a <a href=getip.js>javascript</a> to get the ip address :
   (<a href=https://gateway.ipfs.io/ipns/QmdDjNaCZtUUAZzbzXLQ2RvpYehGtXguXZvqd9NGQFXUMZ/getip.js>https://gateway.ipfs.io/ipns/QmdDjNaCZtUUAZzbzXLQ2RvpYehGtXguXZvqd9NGQFXUMZ/getip.js</a>)
 
// usage :
-->
  &lt;a class=ip href="#">ip&lt;/a>
  or &lt;span id=ipaddr> your ip address is &lt;a href=http://%ip%>%ip%&lt;/a>&lt;/span>

  &lt;script src="<a href=https://cadavre.exquis.ml/test/getip.js>https://cadavre.exquis.ml/test/getip.js</a>">&lt;/script>
 
</code></pre>
<!-- .......................................................................... -->
<h3> you get : </h3>
<p>
 <a class=ip href="#">ip</a>
  or <span id=ipaddr> your ip address is <a href=http://%ip%>%ip%</a></span>

  <script src="getip.js"></script>

</p>
<!-- .......................................................................... -->
